Skip to main content
GET
List rental record ledger entry UUIDs

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

facilityUuid
string
required
unitRentalRecordUuid
string
required

Query Parameters

updatedAt.lessOrEqual
string

Filter ledger entries with updatedAt less than or equal to this date-time

updatedAt.greaterOrEqual
string

Filter ledger entries with updatedAt greater than or equal to this date-time

createdAt.lessOrEqual
string

Filter ledger entries with createdAt less than or equal to this date-time

createdAt.greaterOrEqual
string

Filter ledger entries with createdAt greater than or equal to this date-time

itemTypeCategory
enum<string>

Filter to ledger entries whose invoice item has this item type category.

Available options:
SERVICES,
FEES,
MERCHANDISE,
COVERAGE,
ACCESS_HOURS_SERVICE,
RENT,
AUCTION,
AUCTION_FEES
invoiceStatus.in
enum<string>[]

Filter to ledger entries whose invoice has one of these statuses. Comma-separated list, e.g. OPEN,OVERDUE,PARTIAL,PAID. Omit to return entries regardless of invoice status.

Available options:
OPEN,
OVERDUE,
PARTIAL,
PAID,
VOID,
WRITTEN_OFF

Response

200 - application/json

Array of ledger entry UUIDs, most recently updated first, empty if none are found